summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-x.scripts/tools/ifinstalled3
1 files changed, 3 insertions, 0 deletions
diff --git a/.scripts/tools/ifinstalled b/.scripts/tools/ifinstalled
new file mode 100755
index 0000000..bdbcbc4
--- /dev/null
+++ b/.scripts/tools/ifinstalled
@@ -0,0 +1,3 @@
+#!/bin/sh
+# If $1 command is not available, error code and notify.
+command -v "$1" >/dev/null || { notify-send "$1 is not installed." && exit 1 ;}